[llvm-commits] [llvm] r39936 - in /llvm/trunk: ModuleInfo.txt build-for-llvm-top.sh
Reid Spencer
rspencer at reidspencer.com
Mon Jul 16 15:25:14 PDT 2007
Author: reid
Date: Mon Jul 16 17:25:13 2007
New Revision: 39936
URL: http://llvm.org/viewvc/llvm-project?rev=39936&view=rev
Log:
In ModuleInfo.txt, make sure that the script being executed can be
found by prepending a .
In build-for-llvm-top.sh, dereference variables for exansion.
Modified:
llvm/trunk/ModuleInfo.txt
llvm/trunk/build-for-llvm-top.sh (contents, props changed)
Modified: llvm/trunk/ModuleInfo.txt
URL: http://llvm.org/viewvc/llvm-project/llvm/trunk/ModuleInfo.txt?rev=39936&r1=39935&r2=39936&view=diff
==============================================================================
--- llvm/trunk/ModuleInfo.txt (original)
+++ llvm/trunk/ModuleInfo.txt Mon Jul 16 17:25:13 2007
@@ -1,2 +1,2 @@
DepModule:
-BuildCmd: build-for-llvm-top.sh
+BuildCmd: ./build-for-llvm-top.sh
Modified: llvm/trunk/build-for-llvm-top.sh
URL: http://llvm.org/viewvc/llvm-project/llvm/trunk/build-for-llvm-top.sh?rev=39936&r1=39935&r2=39936&view=diff
==============================================================================
--- llvm/trunk/build-for-llvm-top.sh (original)
+++ llvm/trunk/build-for-llvm-top.sh Mon Jul 16 17:25:13 2007
@@ -24,8 +24,9 @@
if test ! -d "$config_status" ; then
# We must configure so build a list of configure options
config_options="--prefix=$PREFIX --with-llvmgccdir=$PREFIX"
- echo ./configure $config_options $config_opts
- ./configure $config_options $config_opts
+ config_options="$config_options $config_opts"
+ echo ./configure $config_options
+ ./configure $config_options || (echo "Can't configure llvm" ; exit 1)
fi
echo make $build_opts '&&' make install $build_opts
Propchange: llvm/trunk/build-for-llvm-top.sh
------------------------------------------------------------------------------
svn:execute = true
More information about the llvm-commits
mailing list